/********************************************************************
 * Copyright © 2004 EDS. All rights reserved
 ********************************************************************/

/*
 * Created on Jan 27, 2005
 *
 */
package gov.va.med.esr.common.rule.service;

import junit.framework.Test;
import junit.framework.TestSuite;

// Java classes

// Library classes

// Framework classes

// EDB Classes

/**
 * @author Carlos Ruiz
 * @version 1.0
 */
public class RuleServiceTestSuite {

	public static Test suite() {
		TestSuite suite = new TestSuite(
				"Test for gov.va.med.esr.common.rule.service");
		//$JUnit-BEGIN$
		suite.addTestSuite(DetermineEnrollmentServiceTest.class);
		suite.addTestSuite(DemographicValidationTest.class);
		suite.addTestSuite(ClinicalValidationServiceTest.class);
		suite.addTestSuite(ProcessPOWTest.class);
		suite.addTestSuite(ProcessAddressTest.class);
		suite.addTestSuite(PurpleHeartRuleServiceTest.class);
		suite.addTestSuite(ProcessFinancialTest.class);
		suite.addTestSuite(EnrollmentValidationTest.class);
		suite.addTestSuite(ProcessEligibilityCodeServiceTest.class);
		suite.addTestSuite(ProcessIneligibilityServiceTest.class);
		//$JUnit-END$
		return suite;
	}
}
